{ config, pkgs, lib, ... }:

{
  # See also:
  #   Temporary workaround until https://github.com/nix-community/home-manager/issues/3447 is merged.

  home-manager.users.yoda = { osConfig, config, pkgs, ... }: {
    home.file.signal-desktop = {
      target = ".config/autostart/" + "signal-desktop" + ".desktop";
      source = (pkgs.signal-desktop + "/share/applications/" + "signal-desktop" + ".desktop");
    };

    home.file.keepassxc = {
      target = ".config/autostart/" + "org.keepassxc.KeePassXC" + ".desktop";
      source = (pkgs.keepassxc + "/share/applications/" + "org.keepassxc.KeePassXC" + ".desktop");
    };
  };
}
